Bug 18426 - Swapped UTEE and DTEE symbols in slang-1.4.5-utf8-acs patch
: Swapped UTEE and DTEE symbols in slang-1.4.5-utf8-acs patch
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libslang)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
: patch, relnote
:
:
  Show dependency tree
 
Reported: 2009-01-02 10:40 by
Modified: 2012-09-26 05:10 (History)


Attachments
Fixed patch (3.05 KB, patch)
2009-01-02 10:40, Andrew Borodin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-02 10:40:42
Created an attachment (id=3181) [details]
Fixed patch

Странно, что до сих пор никто этого не заметил, но в патче slang-1.4.5-utf8-acs
символы DTEE и UTEE поменялись местами. Похоже, что ошибка типа cut'n'paste:
один раз ошиблись, потом растиражировали.
Исправленный патч прилагается.
------- Comment #1 From 2009-01-02 10:45:00 -------
Тот же патч используется и в slang2.
------- Comment #2 From 2009-01-16 19:54:58 -------
Этот патч содержит ещё один баг: горизонтальная линия (SLsmg_draw_hline)
рисуется длиннее, чем надо, на один символ из-за лишнего вызова
SLsmg_draw_object в строке 392 патча.
------- Comment #3 From 2012-09-26 05:10:48 -------
libslang is no more.